// OS function
MY_SYMBOL(x_thread_delay)
MY_SYMBOL(x_thread_create)
MY_SYMBOL(x_thread_set_pri)
MY_SYMBOL(x_sema_create)
MY_SYMBOL(x_sema_delete)
MY_SYMBOL(x_sema_lock)
MY_SYMBOL(x_sema_unlock)
MY_SYMBOL(Assert)
MY_SYMBOL(HalFlushInvalidateDCache)

// CLI function
MY_SYMBOL(CLI_CmdTblAttach)
MY_SYMBOL(CLI_CmdTblDeattach)
MY_SYMBOL(UTILCLI_DebugLevel)
MY_SYMBOL(UTILCLI_LogLevelText)
MY_SYMBOL(CUST1_IsLog)
MY_SYMBOL(CUST1_i4LogLvlQuerySet)
MY_SYMBOL(CUST2_IsLog)
MY_SYMBOL(CUST2_i4LogLvlQuerySet)

// Utility function
MY_SYMBOL(StrToInt)
MY_SYMBOL(i4StrToInt)
MY_SYMBOL(u8Div6464)
MY_SYMBOL(HAL_GetTime)
MY_SYMBOL(HAL_GetDeltaTime)

// Variable
MY_SYMBOL(SW_DRAM_BASE)    
MY_SYMBOL(SRS_Table_A)    
MY_SYMBOL(SRS_Table_B)
MY_SYMBOL(SRS_Table)

// Flash PQ
MY_SYMBOL(u2ApiFlashPqGetRawDataTblId)
MY_SYMBOL(u2ApiFlashPqGetRawDataCaseId)
MY_SYMBOL(vApiFlashPqSetRawDataTblId)
MY_SYMBOL(vApiFlashPqSetRawDataCaseId)
MY_SYMBOL(bApiFlashPqGetRawDataInfo)
MY_SYMBOL(bApiFlashPqUpdateRawData)
MY_SYMBOL(bApiFlashPqSetRawData)
MY_SYMBOL(bApiFlashPqUpdateRawDataEx)
MY_SYMBOL(bApiFlashPqUpdateRawData_SMT)
MY_SYMBOL(bApiFlashPqGetRawDataInfo_SMT)

// Driver API
MY_SYMBOL(SIF_X_Read)   // I2C
MY_SYMBOL(SIF_X_Write)  // I2C
MY_SYMBOL(EEPROM_Read)	// EEPROM
MY_SYMBOL(EEPROM_Write)	// EEPROM
MY_SYMBOL(GPIO_GetIn)   // GPIO
MY_SYMBOL(GPIO_SetOut)  // GPIO
MY_SYMBOL(GPIO_Status)  // GPIO
MY_SYMBOL(PDWNC_ReadServoADCChannelValue) // ADC
MY_SYMBOL(vApiSetPanelBright)   // Backlight        
MY_SYMBOL(vDrvSPIBatchWriteCmd) // SPI driver
MY_SYMBOL(vDrvSPILightUpCmd)    // SPI driver    

// drv_MapleGetApiSys.c
MY_SYMBOL(DRVCUST_GetInputType)
MY_SYMBOL(DRVCUST_GetSignalFormat)
MY_SYMBOL(DRVCUST_GetAnalogDecNoiseLevel)
MY_SYMBOL(DRVCUST_GetDecoderAvgBitRate)
MY_SYMBOL(DRVCUST_GetWindowMode)
MY_SYMBOL(DRVCUST_GetPlaneMuteState)
MY_SYMBOL(DRVCUST_GetOutputMuteState)
MY_SYMBOL(DRVCUST_GetOutputPosition)
MY_SYMBOL(DRVCUST_GetSourceArea)
MY_SYMBOL(DRVCUST_GetScalingRequest)
MY_SYMBOL(DRVCUST_GetOutputFormat)
MY_SYMBOL(DRVCUST_GetBorderPlaneRequest)
MY_SYMBOL(DRVCUST_GetBlurRequest)
MY_SYMBOL(DRVCUST_GetMCVPMeter)
MY_SYMBOL(DRVCUST_GetCadense)
MY_SYMBOL(DRVCUST_GetMJCInputFrequency)
MY_SYMBOL(DRVCUST_GetPostProcMeter)
MY_SYMBOL(DRVCUST_GetLdMeter)
MY_SYMBOL(DRVCUST_GetOpticalSensorLevel)
MY_SYMBOL(DRVCUST_GetTemperatureSensorLevel)
MY_SYMBOL(DRVCUST_GetBLPowerLimit)
MY_SYMBOL(DRVCUST_GetPwmSetting)
MY_SYMBOL(DRVCUST_GetVideoFrameDelay)
MY_SYMBOL(DRVCUST_GetHistoryData)
MY_SYMBOL(DRVCUST_GetPowerState)
MY_SYMBOL(DRVCUST_GetPanleIDMatchState)
MY_SYMBOL(DRVCUST_BePartitionRead)
MY_SYMBOL(DRVCUST_SopqPartitionRead)
MY_SYMBOL(DRVCUST_GetAdcValue)
MY_SYMBOL(DRVCUST_GetScreenSaver)
MY_SYMBOL(DRVCUST_GetAgingMode)
MY_SYMBOL(DRVCUST_GetTvOutputFormat)
MY_SYMBOL(DRVCUST_GetMuffinScalerInfo)
MY_SYMBOL(DRVCUST_GetOsdState)
MY_SYMBOL(DRVCUST_GetModelVariationInfoStartAddress)
MY_SYMBOL(DRVCUST_GetScreenMirroringConfig)
MY_SYMBOL(DRVCUST_GetLetterBoxDetection)	
MY_SYMBOL(DRVCUST_GetScePixMonData)	
MY_SYMBOL(DRVCUST_GetOstgPixMonData)
MY_SYMBOL(DRVCUST_Get4bandFreqHist)
MY_SYMBOL(DRVCUST_GetDecoderMeter)
MY_SYMBOL(DRVCUST_GetVirtual2PhysicalAddress)
MY_SYMBOL(DRVCUST_GetPhysical2VirtualAddress)
MY_SYMBOL(DRVCUST_GetPicControlState)	
MY_SYMBOL(DRVCUST_GetB2rFrameInfo)

// drv_MapleGetApiAp.c
MY_SYMBOL(DRVCUST_GetPictureSetting)
MY_SYMBOL(DRVCUST_GetScreenSetting)
MY_SYMBOL(DRVCUST_Get3DSetting)
MY_SYMBOL(DRVCUST_GetEcoSetting)
MY_SYMBOL(DRVCUST_GetPhotoSetting)
MY_SYMBOL(DRVCUST_GetDemoMode)
MY_SYMBOL(DRVCUST_GetDemoOsdMaskArea)
MY_SYMBOL(DRVCUST_GetServiceSetting)
MY_SYMBOL(DRVCUST_GetServiceTransferSetting)
MY_SYMBOL(DRVCUST_GetServiceVcomAdjust)
MY_SYMBOL(DRVCUST_GetUiInputTarget)
MY_SYMBOL(DRVCUST_GetBTSetting)
MY_SYMBOL(DRVCUST_GetWhiteBalanceOffset)




// drv_MapleSetApiAp.c
MY_SYMBOL(DRVCUST_SetExclusiveReg)
MY_SYMBOL(DRVCUST_SetLumaCurve)
MY_SYMBOL(DRVCUST_SetContrast)
MY_SYMBOL(DRVCUST_SetColor)
MY_SYMBOL(DRVCUST_SetHue)
MY_SYMBOL(DRVCUST_SetPqWBGainOffset)
MY_SYMBOL(DRVCUST_SetSharpnessOffset)
MY_SYMBOL(DRVCUST_SetSRSLut)
MY_SYMBOL(DRVCUST_FlushPqSetting)
MY_SYMBOL(DRVCUST_EnNoiseLevel)
MY_SYMBOL(DRVCUST_SetNoiseLevel)
MY_SYMBOL(DRVCUST_EnNoiseLevel2)
MY_SYMBOL(DRVCUST_SetNoiseLevel2)
MY_SYMBOL(DRVCUST_SetPostSharpYLev)
MY_SYMBOL(DRVCUST_UpdateTimingGroup)
MY_SYMBOL(DRVCUST_PqSendDataToBe)
MY_SYMBOL(DRVCUST_RegisterPqFunc)
MY_SYMBOL(DRVCUST_DeregisterPqFunc)
MY_SYMBOL(DRVCUST_RegisterBeFunc)
MY_SYMBOL(DRVCUST_DeregisterBeFunc)
MY_SYMBOL(DRVCUST_RegisterBeGeneralFunc)
MY_SYMBOL(DRVCUST_DeregisterBeGeneralFunc)
MY_SYMBOL(DRVCUST_RegisterPQGeneralFunc)
MY_SYMBOL(DRVCUST_DeRegisterPQGeneralFunc)
MY_SYMBOL(DRVCUST_ResetSystem)
MY_SYMBOL(DRVCUST_SetEcsCommandReply)    
MY_SYMBOL(DRVCUST_BePartitionWrite)  
MY_SYMBOL(DRVCUST_SopqPartitionWrite)  
MY_SYMBOL(DRVCUST_SetBeDeviceInformation)  
MY_SYMBOL(DRVCUST_SetBeDeviceErrorDetect) 
MY_SYMBOL(DRV_CUST_SetBEDeviceVersion) 	
MY_SYMBOL(DRVCUST_SetPqNewPartialS)
MY_SYMBOL(DRVCUST_SetPqColMatrixParam)
MY_SYMBOL(DRVCUST_SetDVBaseMatrixParam)
MY_SYMBOL(DRVCUST_GetRpuNaluIndex)
MY_SYMBOL(DRVCUST_GetRpuNaluParam)
MY_SYMBOL(DRVCUST_GetRpuNalu)
MY_SYMBOL(DRVCUST_RegisterDvFunc)
MY_SYMBOL(DRVCUST_DeregisterDvFunc)
MY_SYMBOL(DRVCUST_SetPqPartialY)
MY_SYMBOL(DRVCUST_SetScalerCoefLumaH)
MY_SYMBOL(DRVCUST_SetScalerCoefChromaH) 
MY_SYMBOL(DRVCUST_SetScalerCoefLumaV) 
MY_SYMBOL(DRVCUST_SetScalerCoefChromaV) 
MY_SYMBOL(DRVCUST_SetLdHwParam) 
MY_SYMBOL(DRVCUST_SetLdSwParam) 
MY_SYMBOL(DRVCUST_SetLdHwTable) 
MY_SYMBOL(DRVCUST_SetLdSwTable) 
MY_SYMBOL(DRVCUST_SetPqSwVersion) 
MY_SYMBOL(DRVCUST_SetPqMetaData)
MY_SYMBOL(DRVCUST_SetScePixMonCapEnable)
MY_SYMBOL(DRVCUST_SetScePixMonPos)
MY_SYMBOL(DRVCUST_SetScePixMonInkEnable)
MY_SYMBOL(DRVCUST_SetScePixMonInkColor)
MY_SYMBOL(DRVCUST_SetOstgPixMonCapEnable)
MY_SYMBOL(DRVCUST_SetOstgPixMonPos)
MY_SYMBOL(DRVCUST_SetOstgPixMonCurseColor)
MY_SYMBOL(DRVCUST_Set4BandFilterRang)
MY_SYMBOL(DRVCUST_Set4BandHFilter)

// backlight control
MY_SYMBOL(DRVCUST_GetBLPwmFrequency)
MY_SYMBOL(DRVCUST_GetBLPwmDuty)
MY_SYMBOL(DRVCUST_GetBLScanPwmNumberOfPulses)
MY_SYMBOL(DRVCUST_GetBLScanPwmDuty)
MY_SYMBOL(DRVCUST_GetBLScanPwmPhase)
MY_SYMBOL(DRVCUST_GetBLPwmMode)
MY_SYMBOL(DRVCUST_GetBLControlState)
MY_SYMBOL(DRVCUST_SetBLPwmFrequency)
MY_SYMBOL(DRVCUST_SetBLPwmDuty)
MY_SYMBOL(DRVCUST_SetBLScanPwmNumberOfPulses)
MY_SYMBOL(DRVCUST_SetBLScanPwmDuty)
MY_SYMBOL(DRVCUST_SetBLScanPwmPhase)
MY_SYMBOL(DRVCUST_SetBLPwmMode)
MY_SYMBOL(DRVCUST_SetBLHeaderFooter)

//Gamma table
MY_SYMBOL(DRVCUST_GetWBGammaTable)
MY_SYMBOL(DRVCUST_SetWBGammaTable)


// drv_MapleAudGetApi.c
MY_SYMBOL(DRVCUST_RegisterBeAudFunc)
MY_SYMBOL(DRVCUST_DeregisterBeAudFunc)

MY_SYMBOL(DRVCUST_GetAudioInputType)
MY_SYMBOL(DRVCUST_GetAudioSignalFormat)
MY_SYMBOL(DRVCUST_GetAudioDelay)
MY_SYMBOL(DRVCUST_GetAudioOutputFormat)
MY_SYMBOL(DRVCUST_GetVolume)
MY_SYMBOL(DRVCUST_GetSoundSetting)
MY_SYMBOL(DRVCUST_GetAudioChannelMuteState)
MY_SYMBOL(DRVCUST_GetAudioPlayState)
MY_SYMBOL(DRVCUST_GetAudioMixState)
MY_SYMBOL(DRVCUST_GetServiceModeState)
MY_SYMBOL(DRVCUST_GetSubwooferState)
MY_SYMBOL(DRVCUST_GetMCKState)

MY_SYMBOL(DRVCUST_SetBeMuteState)
MY_SYMBOL(DRVCUST_SetBeDelay)

// uart driver
MY_SYMBOL(UART_Init)
MY_SYMBOL(UART_SetParameter)
MY_SYMBOL(UART_GetParameter)
MY_SYMBOL(UART_Read)
MY_SYMBOL(UART_Write)
MY_SYMBOL(UART_SetNotifyFuc)
MY_SYMBOL(UART_SetDMAMode)

//ERROR pattern
MY_SYMBOL(DRVCUST_SetErrorPattern)

//BT ko export
MY_SYMBOL(PDWNC_ReadWakeupReason)
MY_SYMBOL(PDWNC_SetBTInResetState)

// GpioCtrl.c
MY_SYMBOL(CustomRestartFRCSequence)
MY_SYMBOL(CustomRestartPQSequence)

